<?php

$phpbb_root_path = './';

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
// Start session management
$user->session_begin(); 
$auth->acl($user->data); 

$user->setup(array('memberlist', 'groups'));

/////////////// CONFIGURATION
$from_add = "noreply@yourdomain.net" ;
$site_url = "http://www.yourdomain.net";
//////////////////////////////////

	// Send an email
		$page_title = $user->lang['SEND_EMAIL'];
		

		add_form_key('memberlist_email');

		if (!$config['email_enable'])
		{
	//		trigger_error('EMAIL_DISABLED');  //This is for board send
		}

		// Autenticazione  ----------- 
		if (!$auth->acl_get('u_sendemail'))
		{
	//		trigger_error('NO_EMAIL');
		}

		// Are we trying to abuse the facility?   ////////!!!!!!!!!!!!!////////
		if (time() - $user->data['user_emailtime'] < $config['flood_interval'])
		{
			trigger_error('FLOOD_EMAIL_LIMIT');
		}


		/////////// Vars before sent
		$error = array();

		$name		= utf8_normalize_nfc(request_var('name', '', true));
		$email		= request_var('email', '');
		$email_lang = request_var('lang', $config['default_lang']);
		$subject	= utf8_normalize_nfc(request_var('subject', '', true));
		$message	= utf8_normalize_nfc(request_var('message', '', true));
		$cc			= (isset($_POST['cc_email'])) ? true : false;
		$submit		= (isset($_POST['submit'])) ? true : false;


//// Referer 
if ($user->data['is_registered']) { $referer = $user->data['username']; }
else { $referer = false;  }

////////////////////////////// SUBMIT /////////////////
		if ($submit)
		{
			if (!check_form_key('memberlist_email'))
			{
				$error[] = 'FORM_INVALID';
			}

				if (!$email || !preg_match('/^' . get_preg_expression('email') . '$/i', $email))
				{
					$error[] = $user->lang['EMPTY_ADDRESS_EMAIL'];
				}

				if (!$subject)
				{
					$error[] = $user->lang['EMPTY_SUBJECT_EMAIL'];
				}

				if (!$name)
				{
					$error[] = $user->lang['EMPTY_NAME_EMAIL'];
				}

				if (!$message)
				{
					$error[] = $user->lang['EMPTY_MESSAGE_EMAIL'];
				}

			// If there are no errors i can send
			if (!sizeof($error))
			{	//Time update
				$sql = 'UPDATE ' . USERS_TABLE . '
					SET user_emailtime = ' . time() . '
					WHERE user_id = ' . $user->data['user_id'];
				$result = $db->sql_query($sql);

				// Now we prepare the message
				include_once($phpbb_root_path . 'includes/functions_messenger.' . $phpEx);
				$messenger = new messenger(false);
				$email_tpl = 'email_invite';

				if ($user->data['is_registered']) $username = $user->data['username'] ; 
				else $username = "Guest"; // it will be taken from language board

				$mail_to_users = array();

				$mail_to_users[] = array(
					'email_lang'		=> $email_lang,
					'email'				=> $email,
					'name'				=> $name,
					'username'			=> $username,
					'to_name'			=> $name,
				);
				
				foreach ($mail_to_users as $row)
				{
					$messenger->template($email_tpl, $row['email_lang']);
					$messenger->replyto($user->data['user_email']);
					$messenger->to($row['email'], $row['name']);
					$messenger->from($from_add);

					$messenger->headers('X-AntiAbuse: Board servername - ' . $config['server_name']);
					$messenger->headers('X-AntiAbuse: User_id - ' . $user->data['user_id']);
					$messenger->headers('X-AntiAbuse: Username - ' . $user->data['username']);
					$messenger->headers('X-AntiAbuse: User IP - ' . $user->ip);
					
					$mail_in_html  = 'MIME-Version: 1.0\r\n';
    					$mail_in_html .= 'Content-type: text/html; charset=iso-8859-1\r\n';
					$mail_in_html .= 'Content-Transfer-Encoding: 7bit\n\n';

					$messenger->assign_vars(array(
						'BOARD_CONTACT'	=> $config['board_contact'],
						'TO_USERNAME'	=> htmlspecialchars_decode($row['to_name']),
						'FROM_USERNAME'	=> htmlspecialchars_decode($username),
						'REFERER'			=> ($referer) ? "Sign in now ..." : "",
						'REFERER_LINK'			=> ($referer) ? "$site_url/ucp." . $phpEx . "?mode=register&referral=" . $referer : "",
						'MESSAGE'		=> htmlspecialchars_decode($message) 
						)
					);

					$messenger->send($notify_type);
				}

				meta_refresh(3, append_sid("{$phpbb_root_path}index.$phpEx"));

				trigger_error($user->lang['EMAIL_SENT'] . '<br /><br />' . $message);
			}
		}
////////////////////////// END SUBMIT ///////////////

			$template->assign_vars(array(
				'EMAIL'				=> $email,
				'NAME'				=> $name,
				'S_LANG_OPTIONS'	=> language_select($email_lang),
				'L_EMAIL_BODY_EXPLAIN'	=> $user->lang['EMAIL_TOPIC_EXPLAIN'],
				'S_POST_ACTION'			=> append_sid("{$phpbb_root_path}invite_beta.$phpEx", 'mode=email&amp;t=' . $topic_id))
			);
		

		$template->assign_vars(array(
			'ERROR_MESSAGE'		=> (sizeof($error)) ? implode('<br />', $error) : '')
		);

// Output the page
page_header($page_title);

$template->set_filenames(array(
	'body' => 'invite.html')  // this is template file 
);

page_footer();

?>